AnsweredAssumed Answered

Editing Drawing Title Block Text Macro

Question asked by Kieran Hickman on Feb 18, 2015
Latest reply on Jun 1, 2015 by Mike Helsinger

Hi,
I have several hundred drawings all exactly the same text in my title block. I would like to change the specific text in my drawing to something different.
I have tried recording a macro but i am not very proficient with looping and editing VBA. Could any body help me?

 

Here is what I have recorded so far which should indicate which text I want to edit.

Dim swApp As Object

 

Dim Part As Object

Dim boolstatus As Boolean

Dim longstatus As Long, longwarnings As Long

 

Sub main()

 

Set swApp = _

Application.SldWorks

 

Set Part = swApp.ActiveDoc

Dim myModelView As Object

Set myModelView = Part.ActiveView

myModelView.FrameState = swWindowState_e.swWindowMaximized

boolstatus = Part.Extension.SelectByID2("Model", "SHEET", 0.21782274744649, 0.115453914514345, 0, False, 0, Nothing, 0)

Part.EditTemplate

Part.EditSketch

Part.ClearSelection2 True

boolstatus = Part.Extension.SelectByID2("DetailItem105@Sheet Format1", "NOTE", 0.227379598659814, 0.019531444928762, 0, False, 0, Nothing, 0)

Part.ClearSelection2 True

End Sub

Outcomes